Get property key by ID
curl --request GET \
--url https://api.limitless.exchange/property-keys/{id}import requests
url = "https://api.limitless.exchange/property-keys/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.limitless.exchange/property-keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"type": "select",
"metadata": {},
"isSystem": true,
"sortOrder": 123,
"hidden": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"options": [
{
"id": "<string>",
"propertyKeyId": "<string>",
"value": "<string>",
"label": "<string>",
"sortOrder": 123,
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"parentOptionId": "<string>"
}
]
}{
"message": "Invalid order data"
}Market Pages & Navigation
Get Property Key
Returns a specific property key with its options
GET
/
property-keys
/
{id}
Get property key by ID
Path Parameters
Property key ID
Example:
"123e4567-e89b-12d3-a456-426614174000"
Response
Property key retrieved successfully
Unique identifier of the property key
Display name of the property key
URL slug of the property key
Type of property key
Available options:
select, multi-select Additional metadata for the property key
Whether this is a system-defined property key
Sort order for the property key
Whether this property key is hidden from public views
Creation timestamp
Last update timestamp
Available options for this property key
Show child attributes
Show child attributes